#ifndef MULTIADDDIALOG_H
#define MULTIADDDIALOG_H
//
#include <QDialog>
#include <QMessageBox>
#include <QFileDialog>
#include <QFile>
#include <QTextStream>
#include <QProcess>
#include "ui_MultiAddDialog.h"
#include "genresetup.h"
//
class multiAddDialog : public QDialog,Ui::MultiAddDialog
{
Q_OBJECT
public:
	multiAddDialog(QWidget * parent = 0, Qt::WFlags f = 0, QString filename = "");
	QStringList		genre;
	QProcess		* addProcess;
	void elementState(bool);
private slots:
	void slot_startSearchButtonClicked();
	void slot_selectDatabaseButtonClicked();
	void slot_searchFromButtonClicked();
	void slot_readyReadStandardOutput();
	void slot_processFinished();
	void slot_genreSetupButtonClicked();
};
#endif
